<div class="row">
    <div class="col-xs-12">
        <form (ngSubmit)="onSubmitPath(f)" #f="ngForm">
            <div class="col-sm-5 form-group">
                <label for="directoryPath">Directory Path</label>
                <input 
                type="text" 
                id="directoryPath" 
                class="form-control"

                name="path"
                ngModel
                required>
            <div class="row">
                <div class="col-sm-12">
                    <div class="pull-right">
                    <button class="btn btn-success" type="submit" [disabled]="!f.valid">Submit</button>
                    <button class="btn btn-danger" type="button" (click)="onClear()">Clear</button>
                </div>
                </div>
            </div>
        </div>
        </form>
    </div>
</div>
<div class="row">
    <div class="col-xs-12">
        <button class="btn btn-primary" (click)="onBack()">Back One Level</button>
    </div>
</div>
<hr>
<div class="row">
    <div class="col-xs-12"></div>   
    <app-directory-item
    *ngFor="let directoryEl of postData | async; let i = index" 
    [directories]="directoryEl"
    [index]="i">
</app-directory-item>
</div>

